Card Transactions
curl --request GET \
--url https://nini.monieswitch.com/card/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://nini.monieswitch.com/card/transactions"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://nini.monieswitch.com/card/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Operation is successful",
"data": {
"size": 50,
"page": 1,
"totalRecords": 2,
"totalPages": 1,
"transactions": [
{
"id": "a3cf5c92-d256-4431-9395-3904aabd25ba",
"type": "DEBIT",
"amount": 100,
"status": "SUCCESS",
"charges": 0,
"category": "CARD_DEBIT",
"reference": "bZ0H6w8m8HlIfjPgcNI2rTaV3VqtTr",
"createdAt": "2025-07-11T12:56:11.561Z",
"description": "Card debit transaction of ₦100.00",
"currency": "NGN"
},
{
"id": "23a8155c-ee6d-4ceb-90c2-b221c14e86ff",
"type": "DEBIT",
"amount": 100,
"status": "SUCCESS",
"charges": 0,
"category": "CARD_DEBIT",
"reference": "GjXaTL7HqbYk34bsrLlX3y6xKzbboI",
"createdAt": "2025-07-11T12:53:57.480Z",
"description": "Card debit transaction of ₦100.00",
"currency": "NGN"
}
]
}
}Card
Card Transactions
GET
/
card
/
transactions
Card Transactions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
PENDING, ACCEPTED, DECLINED
PHYSICAL, VIRTUAL
Body
application/json
The body is of type object.
⌘I